This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1265059 - add vim package to appliance
add vim package to appliance
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Build (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Satoe Imaishi
Alex Newman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 23:43 EDT by dajohnso@redhat.com
Modified: 2015-12-08 08:31 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.5.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:31:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dajohnso@redhat.com 2015-09-21 23:43:01 EDT
Description of problem:
==========================
vim package was part of the appliance, now it is not.


Version-Release number of selected component (if applicable):
===========================
5.5.0.1
Comment 2 Jason Frey 2015-09-24 15:56:07 EDT
Do you literally need vim, or is vi enough?
Comment 3 Dave Johnson 2015-10-05 10:29:18 EDT
vim is out of habit and it is on the older appliances, I'd be ok with an alias from vim to vi but annoyed with hitting 'vim not found error' and having to use vi when switching between different appliance versions.

Does it matter, is there concern on the size of the appliance?   What's the delta?
Comment 4 Satoe Imaishi 2015-10-08 11:50:08 EDT
@base no longer contains vim.  Added explicitly in 5.5.0.5.
Comment 5 Alex Newman 2015-10-26 09:44:39 EDT
Version: 5.5.0.7-beta1.3.20151021133253_ed40d96
VIM version: 7.4.160

# which vim
/usr/bin/vim

# which vi
/usr/bin/vi
Comment 7 errata-xmlrpc 2015-12-08 08:31:59 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.